<template>
  <div class="brands">
    <v-container
      fluid
      :class="$vuetify.breakpoint.smAndDown ? 'pt-0 pb-8 pl-12 pr-12' : 'pa-12'"
    >
      <v-row align="center" justify="center">
        <v-col cols="12" md="9" lg="10">
          <swiper
            class="swiper brandfont-size pt-5 pb-2 pr-6 pl-6 mx-auto text-center justify-center"
            :options="swiperOption"
          >
            <swiper-slide v-for="b in barndList" :key="b.name">
              <v-tooltip top>
                <template v-slot:activator="{ on, attrs }">
                  <i v-bind="attrs" class="abi brand-hovers" v-on="on">{{
                    b.icon
                  }}</i>
                </template>
                <span>
                  {{ b.name }}
                </span>
              </v-tooltip>
            </swiper-slide>
          </swiper>
        </v-col>
      </v-row>
    </v-container>
  </div>
</template>
<script>
export default {
  name: 'Brands',
  data() {
    return {
      barndList: [
        {
          name: 'خبرگزاری برنا',
          icon: 'ir_borna',
        },
        {
          name: 'اقتصاد آنلاین',
          icon: 'ir_eghtesadonline',
        },
        {
          name: 'پایگاه خبری جماران',
          icon: 'ir_jamaran',
        },
        {
          name: 'خبرگزاری کار ایران',
          icon: 'ir_ilna',
        },
        {
          name: 'وزارت بهداشت، درمان و آموزش پزشكي',
          icon: 'ir_mohme',
        },
        {
          name: 'دانشگاه,علوم پزشکی ایران',
          icon: 'ir_iums',
        },
        {
          name: 'رکنا',
          icon: 'ir_rokna',
        },
        {
          name: 'وزارت ورزش و جوانان',
          icon: 'ir_msy',
        },
        {
          name: 'روزنامه دنیای اقتصاد',
          icon: 'ir_donya_e_eqtesad',
        },
        {
          name: 'پايگاه خبری افکارنيوز',
          icon: 'ir_afkarnews',
        },
        {
          name: 'شما نیوز',
          icon: 'ir_shomanews',
        },
        {
          name: 'مثلث آنلاین',
          icon: 'ir_mosalas',
        },
        {
          name: 'اقتصاد نیوز',
          icon: 'ir_eghtesadnews',
        },
        {
          name: 'خبرگزاری هنر ایران',
          icon: 'ir_honaronline',
        },
        {
          name: 'اکوایران',
          icon: 'ir_ecoiran',
        },
        {
          name: 'هفته نامه تجارت فردا',
          icon: 'ir_tejaratfarda',
        },
        {
          name: 'کن نیوز',
          icon: 'ir_cannews',
        },
      ],
      swiperOption: {
        slidesPerView: 8,
        spaceBetween: 25,
        autoplay: {
          delay: 3000,
          disableOnInteraction: false,
        },
        loop: true,
        loopFillGroupWithBlank: true,
        navigation: {
          nextEl: '.swiper-button-next',
          prevEl: '.swiper-button-prev',
        },
        breakpoints: {
          1280: {
            slidesPerView: 8,
            spaceBetween: 26,
          },
          1180: {
            slidesPerView: 6,
            spaceBetween: 28,
          },
          980: {
            slidesPerView: 5,
            spaceBetween: 25,
          },
          768: {
            slidesPerView: 4,
            spaceBetween: 30,
          },
          640: {
            slidesPerView: 3,
            spaceBetween: 20,
          },
          450: {
            slidesPerView: 2,
            spaceBetween: 28,
          },
          320: {
            slidesPerView: 1,
            spaceBetween: 20,
          },
        },
      },
    };
  },
};
</script>
